%{!?pyver: %define pyver %(%{__python} -c 'import sys;print(sys.version[0:3])')}
%{!?python_sitelib: %define python_sitelib %(%{__python}%{pyver} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           deskbar-applet
Version:        2.22.0.1
Release:        1

Summary:        A Gnome applet to allow easy access to various search engines
Group:          Internet
License:        GPLv2
URL:            http://live.gnome.org/DeskbarApplet
Source0:        http://ftp.gnome.org/pub/GNOME/sources/deskbar-applet/2.20/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2+-devel python-devel PyGTK-devel 
BuildRequires:  gettext evolution-data-server-devel gnome-desktop-devel
BuildRequires:  libSM-devel gnome-python-applet desktop-file-utils
BuildRequires:  perl(XML::Parser) gnome-python-devel 
BuildRequires:  gnome-doc-utils
#dbus-python-devel gnome-python-extras
Requires:       gnome-python gnome-python-applet gnome-python-bonobo
Requires:       gnome-python-gconf PyGTK gnome-python-libwnck
Requires(pre):  GConf
Requires(post): GConf desktop-file-utils
Requires(preun): GConf desktop-file-utils

%description
The goal of DeskbarApplet is to provide an omnipresent versatile search
interface. By typing search terms into the deskbar entry in your panel you are
presented with the search results as you type.

Seaches are handled by a series of plugins. DeskbarApplet provides a simple
interface to manage these plugins to provide you with the search results that
fit your needs.

%prep
%setup -q

%build
%configure --disable-schemas-install --disable-scrollkeeper --sysconfdir=%_sysconfdir/gnome
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#adir="$(grep "^artdir=" $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{name}.pc)"
#adir="${adir#*=}"
mdir="$(grep "^modulesdir=" $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{name}.pc)"
mdir="${mdir#*=}"

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/%{name}.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gnome/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 || :

touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_sysconfdir}/gnome/gconf/schemas/%{name}.schemas
%{_libdir}/%{name}
%{_libdir}/bonobo/servers/Deskbar_Applet.server
%{_libdir}/pkgconfig/%{name}.pc
#%{_libdir}/*.la
%{python_sitelib}/deskbar
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/omf/deskbar/
%{_datadir}/gnome/help/deskbar/


%changelog
* Tue Mar 18 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0.1-1
- Initial release